Subject: gdb5.0 on cygwin B20.1, compiler problems
From: Johan Niklasson <[email-masked]>
To: [email-masked]
Date: Wed, 25 Oct 2000 14:15:38 +0200

Hi!

I have been trying for a few days now to compile gdb-5.0
I have a NT sp4 machine
Cygwin B20.1
gcc 2.7.2 (comes with the cygwin-release)

I have been forced to change some lines in the makefiles because
obviously configure
have some problems. I'm currently stuck on win32-nat.c. And I was
wondering if you have an example of a makefile for gdb that works. It'd
be great to compare with.
I've been looking at the different mailinglist but have not found any
answer.

If you haven't got any I'd like to know if you have any experience to
share.

The error I get now is like this:

/Programs/gdb-5.0/gdb> make
gcc -c -g -O2 -I/Program\ Files/Esoe/Microsoft\ Visual\
Studio/Vc60/Include  -I//D/Platform\ SDK/Inc
lude    -I. -I. -I./config -DHAVE_CONFIG_H -DHAVE_TERMIOS
-D_GNU_H_WINDOWS32_SOCKETS  -I./../include
/opcode -I./../readline/.. -I../bfd -I./../bfd  -I./../include -I../intl
-I./../intl -I./tui  -DUSE_
INCLUDED_REGEX   win32-nat.c
In file included from \Program Files\Esoe\Microsoft Visual
Studio\Vc60\Include\windef.h:166,
                 from \Program Files\Esoe\Microsoft Visual
Studio\Vc60\Include\windows.h:163,
                 from win32-nat.c:45:
\Program Files\Esoe\Microsoft Visual Studio\Vc60\Include\winnt.h:630:
#error Must define a target ar
chitecture.
make: *** [win32-nat.o] Error 1

(It seems that if I define _MSC_VER he asks for a file called windefs.h
that I can't find in GDB).

Best regards
Johan
-- 
^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^
Johan Niklasson 

tel:  +46 - 8 - 727 41 68 (work)
      +46 - 70- 220 1948 (mobile)      
      +46 - 8 - 604 21 71 (home)
fax:  +46 - 8 - 727 49 47
Ericsson Utvecklings AB	
Box 1505	S-125 25 Älvsjö
^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^V^

--
Want to unsubscribe from this list?
Send a message to [email-masked]